Skip to content
Start here

Get queries

brand_protection.v2.queries.get(QueryGetParams**kwargs) -> QueryGetResponse
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/domain/queries

Get all saved brand protection queries for an account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str
minLength1
id: Optional[str]
ReturnsExpand Collapse
List[QueryGetResponseItem]
created: str
parameters: Optional[QueryGetResponseItemParameters]
string_matches: List[QueryGetResponseItemParametersStringMatch]
max_edit_distance: float
maximum1
minimum0
pattern: str
minLength1
max_time: Optional[str]
min_time: Optional[str]
query_id: int
query_tag: str
scan: bool
updated: str

Get queries

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
queries = client.brand_protection.v2.queries.get(
    account_id="x",
)
print(queries)
[
  {
    "created": "created",
    "parameters": {
      "string_matches": [
        {
          "max_edit_distance": 0,
          "pattern": "x"
        }
      ],
      "max_time": "max_time",
      "min_time": "min_time"
    },
    "query_id": 0,
    "query_tag": "query_tag",
    "scan": true,
    "updated": "updated"
  }
]
Returns Examples
[
  {
    "created": "created",
    "parameters": {
      "string_matches": [
        {
          "max_edit_distance": 0,
          "pattern": "x"
        }
      ],
      "max_time": "max_time",
      "min_time": "min_time"
    },
    "query_id": 0,
    "query_tag": "query_tag",
    "scan": true,
    "updated": "updated"
  }
]